Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Functions
wait.c File Reference
`#include "ruby.h"`
`#include "ruby/io.h"`
`#include <sys/types.h>`

Go to the source code of this file.

## Macros
#define | ioctl_arg int
#define | ioctl_arg2num(i) INT2NUM(i)
#define | FIONREAD_POSSIBLE_P(fd) ((void)(fd),Qtrue)

## Functions
void Init_wait | _ ((void))
void | Init_wait (void)

## Macro Definition Documentation

## ◆ FIONREAD_POSSIBLE_P

#define FIONREAD_POSSIBLE_P | ( |  | fd | ) | ((void)(fd),Qtrue)

Definition at line 39 of file wait.c.

## ◆ ioctl_arg

#define ioctl_arg int

Definition at line 32 of file wait.c.

## ◆ ioctl_arg2num

#define ioctl_arg2num | ( |  | i | ) | INT2NUM(i)

Definition at line 33 of file wait.c.

## Function Documentation

## ◆ _()

void Init_wait _ | ( | (void) |  | ) |

## ◆ Init_wait()

void Init_wait | ( | void |  | ) |

Definition at line 246 of file wait.c.

References rb_cIO, and rb_define_method().